Skip to main content
POST
/
v1
/
bot
/
workspace
/
file
Create File
curl --request POST \
  --url https://api.boostgpt.co/v1/bot/workspace/file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "bot_id": "<string>",
  "workspace_uuid": "<string>",
  "file_path": "<string>",
  "content": "<string>",
  "language": "<string>"
}
'
import requests

url = "https://api.boostgpt.co/v1/bot/workspace/file"

payload = {
"project_id": "<string>",
"bot_id": "<string>",
"workspace_uuid": "<string>",
"file_path": "<string>",
"content": "<string>",
"language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
workspace_uuid: '<string>',
file_path: '<string>',
content: '<string>',
language: '<string>'
})
};

fetch('https://api.boostgpt.co/v1/bot/workspace/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "file": {
    "uuid": "<string>",
    "file_path": "<string>",
    "language": "<string>",
    "content": "<string>",
    "version": 123,
    "size_bytes": 123,
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key

Body

application/json
project_id
string
required

Project ID

bot_id
string
required

Agent ID

workspace_uuid
string
required

Workspace UUID

file_path
string
required

Virtual file path (e.g., /src/app.js)

content
string

File content

language
string

Programming language

Response

File created

file
object